summaryrefslogtreecommitdiffstats
path: root/games/abe
diff options
context:
space:
mode:
Diffstat (limited to 'games/abe')
-rw-r--r--games/abe/README8
-rw-r--r--games/abe/abe-large.pngbin0 -> 4201 bytes
-rw-r--r--games/abe/abe-small.pngbin0 -> 806 bytes
-rw-r--r--games/abe/abe.SlackBuild120
-rw-r--r--games/abe/abe.desktop9
-rw-r--r--games/abe/abe.info8
-rw-r--r--games/abe/abe.pngbin0 -> 1869 bytes
-rw-r--r--games/abe/doinst.sh4
-rw-r--r--games/abe/slack-desc19
9 files changed, 168 insertions, 0 deletions
diff --git a/games/abe/README b/games/abe/README
new file mode 100644
index 0000000000..27f2dcf824
--- /dev/null
+++ b/games/abe/README
@@ -0,0 +1,8 @@
+Abe is a scrolling, platform-jumping, key-collecting, ancient pyramid exploring game,
+vaguely in the style of similar games for the Commodore+4. The game is intended
+to show young people all the cool games they missed.
+
+Abe depends on SDL and SDL_mixer. All dependancies are included in the Slackware
+12.2 SDL package.
+
+Homepage: http://abe.sourceforge.net
diff --git a/games/abe/abe-large.png b/games/abe/abe-large.png
new file mode 100644
index 0000000000..98587f7fd0
--- /dev/null
+++ b/games/abe/abe-large.png
Binary files differ
diff --git a/games/abe/abe-small.png b/games/abe/abe-small.png
new file mode 100644
index 0000000000..8626daa3c1
--- /dev/null
+++ b/games/abe/abe-small.png
Binary files differ
diff --git a/games/abe/abe.SlackBuild b/games/abe/abe.SlackBuild
new file mode 100644
index 0000000000..78b44c8235
--- /dev/null
+++ b/games/abe/abe.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+# Slackware build script for abe
+# Written by Tim Dickson tim@tree-of-life.co.uk
+
+PRGNAM=abe
+VERSION=${VERSION:-1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#now modify source slightly so data directories are in more standard place
+mv src/Directories.h src/oldDirectories.h
+sed -e 's/images/\.\\\\images/g' -e 's/maps/\.\\\\maps/g' -e 's/sounds/\.\\\\sounds/g' -e '/IMAGES_DIR/ i\
+#ifdef WIN32' -e '/SOUND_DIR/ a\
+#else\
+#define BASEDATA_DIR "\/usr\/share\/games\/abe"\
+#define IMAGES_DIR BASEDATA_DIR "\/images"\
+#define MAPS_DIR BASEDATA_DIR "\/maps"\
+#define SOUND_DIR BASEDATA_DIR "\/sounds"\
+#endif' src/oldDirectories.h >src/Directories.h
+rm src/oldDirectories.h
+mv src/Image.h src/oldImage.h
+sed -e '/IMAGES_DIR/ i\
+#ifdef WIN32' -e 's/images\"/\.\\\\images\"/g' -e '/IMAGES_DIR/ a\
+#else\
+#define IMAGES_DIR BASEDATA_DIR "\/images"\
+#endif' src/oldImage.h >src/Image.h
+rm src/oldImage.h
+mv src/Sound.c src/oldSound.c
+sed -e 's/xstr(BASE_DIR) PATH_SEP SOUND_DIR /SOUND_DIR /g' src/oldSound.c >src/Sound.c
+rm src/oldSound.c
+mv src/Image.c src/oldImage.c
+sed -e 's/xstr(BASE_DIR) PATH_SEP / /g' src/oldImage.c >src/Image.c
+rm src/oldImage.c
+mv src/MapIO.c src/oldMapIO.c
+sed -e 's/xstr(BASE_DIR) PATH_SEP / /g' src/oldMapIO.c >src/MapIO.c
+rm src/oldMapIO.c
+
+#now we are ready to compile
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+#now move software into standard location
+mkdir -p $PKG/usr/games
+mv $PKG/usr/bin/abe $PKG/usr/games/abe
+rmdir $PKG/usr/bin
+mkdir -p $PKG/usr/share/games/abe
+cp -r sounds $PKG/usr/share/games/abe/sounds
+cp -r maps $PKG/usr/share/games/abe/maps
+cp -r images $PKG/usr/share/games/abe/images
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+#put the menu item and icons in right place
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/icons/hicolor/32x32/apps
+cp $CWD/$PRGNAM.png $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+mkdir -p $PKG/usr/share/icons/hicolor/16x16/apps
+cp $CWD/$PRGNAM-small.png $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
+mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
+cp $CWD/$PRGNAM-large.png $PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/abe/abe.desktop b/games/abe/abe.desktop
new file mode 100644
index 0000000000..af603a0968
--- /dev/null
+++ b/games/abe/abe.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Encoding=UTF-8
+Categories=Application;Game;
+X-Desktop-File-Install-Version=1.0
+Name=abe
+Icon=abe
+Exec=abe
+Terminal=false
+Type=Application
diff --git a/games/abe/abe.info b/games/abe/abe.info
new file mode 100644
index 0000000000..cf719e05f6
--- /dev/null
+++ b/games/abe/abe.info
@@ -0,0 +1,8 @@
+PRGNAM="abe"
+VERSION="1.1"
+HOMEPAGE="http://abe.sourceforge.net/"
+DOWNLOAD="http://heanet.dl.sourceforge.net/sourceforge/abe/abe-1.1.tar.gz"
+MD5SUM="5537920e1746708e1a631d84d3500f5c"
+MAINTAINER="Tim Dickson (timsoft)"
+EMAIL="tim@tree-of-life.co.uk"
+APPROVED="chess"
diff --git a/games/abe/abe.png b/games/abe/abe.png
new file mode 100644
index 0000000000..e44fc59855
--- /dev/null
+++ b/games/abe/abe.png
Binary files differ
diff --git a/games/abe/doinst.sh b/games/abe/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/abe/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/abe/slack-desc b/games/abe/slack-desc
new file mode 100644
index 0000000000..576e3b23fe
--- /dev/null
+++ b/games/abe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+abe: Abe (a platform game for juniors)
+abe:
+abe: Abe is a scrolling, platform-jumping, key-collecting, ancient pyramid
+abe: exploring game,vaguely in the style of similar games for the
+abe: Commodore+4. The game is intended to show young people all the cool
+abe: they missed.
+abe:
+abe:
+abe:
+abe: Homepage: http://abe.sourceforge.net
+abe: